
QGIS Application - Bug report #4732

(regression) table of attributes is not immediately refreshed after a field calculator operation

2012-01-02 02:49 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14604

Description

tested on both Windows/osgeo4w and Ubuntu with qgis-master

To see the new values is needed to close the table and reopen it again.

If the operation is an update then the old values are not immediately changed, if the operation is computing a new column then the same

column if filled with "NULL".

Related issues:

Duplicated by QGIS Application - Bug report # 4718: Field calculator: $rownum... Closed 2011-12-30

Associated revisions

Revision c1b631d0 - 2012-01-02 06:35 PM - Jürgen Fischer

- fix #4732

- move contents of src/app/attributetable and src/app/spatialite up one level

  (there was only one class in each directory left)

Revision 25c1d04d - 2012-01-03 02:02 PM - Jürgen Fischer

fix #4732

History

#1 - 2012-01-02 04:07 AM - Giovanni Manghi

- Priority changed from Normal to High

- Subject changed from table of attributes is not immediately refreshed after a field calculator operation to (regression) table of attributes is not 

immediately refreshed after a field calculator operation

this is a regression, seems to work fine in 1.7.3

#2 - 2012-01-02 09:36 AM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Fixed in changeset commit:"c1b631d0e0f0e434acaa5cbd514de2b079817334".
#3 - 2012-01-03 03:05 AM - Giovanni Manghi

- Status changed from Closed to Open

Jürgen Fischer wrote:

Fixed in changeset commit:"c1b631d0e0f0e434acaa5cbd514de2b079817334".

Hi Jurgen,

it seems that when the operation is an update of an existing column, then the last record of the table is not updated.

#4 - 2012-01-03 05:02 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"25c1d04d28a40fdf2b32ba6fab520da608119b7f".
